TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Digest ( string s ) -> string hashsum

### Optional Arguments

Digest | string | (Default: SHA1) | Specifies the digest algorithm to use.

### Description

<shortdoc> Return the hash sum of `s' under a digest algorithm `Digest'.
Note: You probably want to wrap around an encoding function since `Digest' will return raw string data. </shortdoc>

### Examples

Hex(Digest("sometest"));
Hex(Digest("hashme",rec(Digest:="RIPEMD160")));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack